/*
    Copyright 2010 Marco A. Montes de Oca, Dogan Aydin and Thomas Stuetzle

    This file is part of IPSOLS.

    IPSOLS is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    IPSOLS is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with IPSOLS.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef EXTENDED_F10_H
#define EXTENDED_F10_H

#include "configuration.h"
#include "problem.h"

class ExtendedF10: public Problem {

     private:

      public:

	 ExtendedF10(Configuration* config);
	 ~ExtendedF10();

	long double getFunctionValue(const double* x);
	long double extendedF10Function(int dim, const double* x);
	long double extendedF10NoShiftFunction(int dim, const double* x);
	long double f_10(double x, double y);
};

#endif
