/*
    Copyright 2010 Marco A. Montes de Oca, Dogan Aydin and Thomas Stuetzle

    This file is part of IPSOLS.

    IPSOLS is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    IPSOLS is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with IPSOLS.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef SHIFTED_SPHERE_H
#define SHIFTED_SPHERE_H

#include "configuration.h"
#include "problem.h"

class ShiftedSphere: public Problem {

     private:

      public:

	 ShiftedSphere(Configuration* config);
	 ~ShiftedSphere();

	long double getFunctionValue(const double* x);
	long double shiftedSphereFunction(int dim, const double* x);
	long double shiftedSphereNOPFunction(int dim, const double* x);
};

#endif
